// Comprar productos por unidad
$('.js_variant_change').click(function(e) {
    var attributeList = $('#attribute_list').val();
    var add_qty = $('#add_qty').val();
    var attribute_color = $('input:radio[id=product_color]:checked').val();
    var target = $(e.currentTarget).prop('id');
    var attribute_id = target.substring(target.indexOf('_') + 1);
    var indexOfValue;
    if(attribute_color === undefined){
        indexOfValue = attributeList.indexOf('[' + attribute_id + ']');
    }else{
        indexOfValue = attributeList.indexOf('[' + attribute_color + ', ' + attribute_id);
        if(indexOfValue < 0){
            indexOfValue = attributeList.indexOf('[' + attribute_id + ', ' + attribute_color);   
        }
    }
    var buffer = '';
    for (var i = indexOfValue - 2; i > 0; i--) {
        var charValue = attributeList.charAt(i);
        if (charValue === '[') {
            break;
        }
        if ($.isNumeric(charValue)) {
            buffer = attributeList.charAt(i) + buffer;
        }
    }
    var data = '&product_id=' + buffer + '&add_qty=' + add_qty;
    $.ajax({
        url: '/shop/cart/update',
        type: 'POST',
        async: false,
        data: data,
    });
    window.location.reload();
    return false;
});
 
// comprar por curva
$('#curva').off('click').click(function() {
    var attribute_color = $('input:radio[id=product_color2]:checked').val();
    var attributeList = $('#attribute_list').val();
    var variantList = $('#variant_list').val();  
    var variant = variantList.substring(variantList.indexOf('(')).split(",");
    var indexOfValue;
    var buffer;
    var valor;
    var dato;
    var array_ids = [];
    var productCurva = $('#product_curva_qty').val().split(",");
    for (var i = 0; i < variant.length; i++) {
        valor = variant[i];
        if(i === 0){
            dato = valor.split("(");
            valor = dato[1];
        }else {
            if (i === variant.length-1) {
                dato = valor.split(")");
                valor = dato[0];
            }
        }
        valor = parseInt(valor);
        if(attribute_color === undefined){
            indexOfValue = attributeList.indexOf('[' + valor + ']');
        }else{
            indexOfValue = attributeList.indexOf('[' + attribute_color + ', ' + valor);
            if(indexOfValue < 0){
                indexOfValue = attributeList.indexOf('[' + valor + ', ' + attribute_color);   
            }
        }
        buffer = '';
        for (var j = indexOfValue - 2; j >= 0; j--) {
            var charValue = attributeList.charAt(j);
            if (charValue === '[') {
                break;
            }
            if ($.isNumeric(charValue)) {
                buffer = attributeList.charAt(j) + buffer;
            }
        }
        var number = parseInt(buffer);
        array_ids.push(number);
    }
    array_ids.sort(function(a, b) {
        return a - b
    });
    for (var k = 0; k < array_ids.length; k++) {
        var add_qty = productCurva[k];
        var data = '&product_id=' + array_ids[k] + '&add_qty=' + add_qty;
        $.ajax({
            url: '/shop/cart/update',
            type: 'POST',
            async: false,
            data: data,
        });
    }
    window.location.reload();
    return false;
});
